import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  claimId: SortOrderSchema.optional(),
  filename: SortOrderSchema.optional(),
  mimeType: SortOrderSchema.optional(),
  filePath: SortOrderSchema.optional()
}).strict();
export const ClaimFileMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ClaimFileMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileMaxOrderByAggregateInput>;
export const ClaimFileMaxOrderByAggregateInputObjectZodSchema = makeSchema();
